"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryKey = exports.PrimaryKeyBuilder = exports.primaryKey = void 0;
const table_1 = require("./table");
function primaryKey(...columns) {
    return new PrimaryKeyBuilder(columns);
}
exports.primaryKey = primaryKey;
class PrimaryKeyBuilder {
    constructor(columns) {
        this.columns = columns;
    }
    /** @internal */
    build(table) {
        return new PrimaryKey(table, this.columns);
    }
}
exports.PrimaryKeyBuilder = PrimaryKeyBuilder;
class PrimaryKey {
    constructor(table, columns) {
        this.table = table;
        this.columns = columns;
    }
    getName() {
        return `${this.table[table_1.SQLiteTable.Symbol.Name]}_${this.columns.map(column => column.name).join('_')}_pk`;
    }
}
exports.PrimaryKey = PrimaryKey;
//# sourceMappingURL=primary-keys.js.map